Skip to main content

Update Repair Attachment

PATCH 

/api/repairs/attachments/:attachment

Update Repair Attachment.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • customer_visible (optional): boolean
  • stage_tag (optional): Enum:in:"intake","diagnosis","before","after","qc","vendor","customer_upload","document"
  • repair_order_line_id (optional): integer, exists:repair_order_lines,id

Permission: repairs.update|repairs.bench. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type